Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Yesterday I installed Fedora 15 Beta with GNOME 3 - it works well. One problem though is that I installed Chrome 32-bit (which was wrong, should have been the 64-bit version) and now I can't uninstall it.

I can't find it in Add/Remove Software, and I also can't install the correct version of Chrome because it complains about my other copy of Chrome.

Any ideas how I can remove the existing copy and get the 64-bit version installed?

Here's the message I get when trying to install:

Test Transaction Errors:   file /etc/cron.daily/google-chrome from install of google-chrome-stable-11.0.696.65-84435.x86_64 conflicts with file from package google-chrome-stable-11.0.696.65-84435.i386
  file /opt/google/chrome/chrome from install of google-chrome-stable-11.0.696.65-84435.x86_64 conflicts with file from package google-chrome-stable-11.0.696.65-84435.i386
  file /opt/google/chrome/chrome-sandbox from install of google-chrome-stable-11.0.696.65-84435.x86_64 conflicts with file from package google-chrome-stable-11.0.696.65-84435.i386
  file /opt/google/chrome/libffmpegsumo.so from install of google-chrome-stable-11.0.696.65-84435.x86_64 conflicts with file from package google-chrome-stable-11.0.696.65-84435.i386
  file /opt/google/chrome/libpdf.so from install of google-chrome-stable-11.0.696.65-84435.x86_64 conflicts with file from package google-chrome-stable-11.0.696.65-84435.i386
  file /opt/google/chrome/libppGoogleNaClPluginChrome.so from install of google-chrome-stable-11.0.696.65-84435.x8...
share|improve this question
add comment

4 Answers

up vote 4 down vote accepted

Open up a terminal, and enter:

rpm -qa | grep chrome

Look to see if you can find the installed Chrome package, and if you find it, enter:

rpm -e <chrome package name here>

For example:

rpm -e google-chrome-stable-22.0.1229.94-161065.i386

If you're looking for where the files are located, it may be different depending on a distro, but you can start by checking the popular answer here.

share|improve this answer
    
Hm, thank you! I found google chrome and when I tried rpm -e ... it says "package google-chrome-stable-11.0.696.65-84435.i368 is not installed" –  tbleckert May 10 '11 at 20:09
1  
Very strange. Can you try rpm --rebuilddb, then double check rpm -qa to see if it's still there, then try the uninstall again? Make sure you spelled the package correctly ;) Not sure this would help either, but you could also try the rpm -e --nodeps flag, to ignore dependencies. If this doesn't work, for the x64 install, you can try adding the --force switch to see if it will overwrite 32's files. –  TheEmpireNeverEnded May 10 '11 at 20:25
1  
Haha damnit! I spelled it wrong :/ It works now, had to use sudo tho. Thanks for the help! –  tbleckert May 10 '11 at 20:59
    
It happens to the best of us. And the worst of us. Pretty much all of us. Glad it's working for you now though. –  TheEmpireNeverEnded May 10 '11 at 21:10
1  
Thank you! rpm -qa | grep chrome can be handy here. –  eisberg Sep 5 '11 at 20:18
show 2 more comments

Open a terminal and type (as root):

yum -y erase google-chrome

Or if you are a sudoer, type:

sudo yum -y erase google-chrome

And that will remove Chrome from your system.

share|improve this answer
add comment

This is the only way I was able to remove it from CentOS 6.2:

[root@I7 ~]# rpm -qa | grep chrome
xorg-x11-drv-openchrome-0.3.0-3.20120806git.el6.x86_64

[root@I7 ~]# yum -y erase xorg-x11-drv-openchrome-0.3.0-3.20120806git.el6.x86_64

In some distributions, the package included instead might be chromium (grepping for chrom, not chrome):

$ use rpm -qa | grep chrom
chromium-31.0.1650.63-2.el6.x86_64
share|improve this answer
add comment

the second post, which says

yum -y erase google-chrome

Or if you are a sudoer, type:

sudo yum -y erase google-chrome

And that will remove Chrome from your system.

is the better way than the other post. while both will do the job, yum is the preferred method over rpm, as it is a smart frontend for the rpm package manager, and will correct any dependency mistakes automatically, which rpm cannot.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.